Librairie Python ne se charge pas

Forum dédié aux questions concernant la configuration de votre serveur sous Linux
Répondre
benoit fardeau
Messages : 6
Enregistré le : 29 sept. 2022, 19:15

Librairie Python ne se charge pas

Message par benoit fardeau »

Bonjour, je cherche à installer le plugin "Linky" sur Raspberry Py et ayant dans DOMOTICZ "version Python : None", je butte sur le message "Status: PluginSystem: Failed dynamic library load, install the latest libpython3.x library that is available for your platform."
Quelqu'un peut m'aider à sortir de ce problème. Merci pour ce forum
J'ai aussi ceci :
pi@raspberrydomoticz:~ $ sudo apt-get install python3 libpython3-dev libpython3.7-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des d▒pendances
Lecture des informations d'▒tat... Fait
python3 est d▒j▒ la version la plus r▒cente (3.7.3-1).
python3 pass▒ en ▒▒install▒ manuellement▒▒.
Vous pouvez lancer ▒▒apt --fix-broken install▒▒ pour corriger ces probl▒mes.
Les paquets suivants contiennent des d▒pendances non satisfaites▒:
libpython3.7-dev : D▒pend: libpython3.7-stdlib (= 3.7.3-2+deb10u4) mais 3.7.3-2+deb10u3 devra ▒tre install▒
D▒pend: libpython3.7 (= 3.7.3-2+deb10u4) mais 3.7.3-2+deb10u3 devra ▒tre install▒
D▒pend: libexpat1-dev mais ne sera pas install▒
libraspberrypi0 : D▒pend: raspberrypi-bootloader (= 1:1.20211201~buster-1) mais 1.20210303-1 devra ▒tre install▒
motion : D▒pend: libavcodec58 (>= 7:4.0)
D▒pend: libavdevice58 (>= 7:4.0) mais ne sera pas install▒
D▒pend: libavformat58 (>= 7:4.1) mais ne sera pas install▒
D▒pend: libavutil56 (>= 7:4.0) mais ne sera pas install▒
D▒pend: libmariadb3 (>= 3.0.0) mais ne sera pas install▒
D▒pend: libmicrohttpd12 (>= 0.9.50) mais ne sera pas install▒
D▒pend: libpq5 mais ne sera pas install▒
D▒pend: libswscale5 (>= 7:4.0) mais ne sera pas install▒
D▒pend: libwebp6 (>= 0.5.1) mais ne sera pas install▒
D▒pend: libwebpmux3 (>= 0.6.1-2) mais ne sera pas install▒
Recommande: ffmpeg mais ne sera pas install▒
E: D▒pendances non satisfaites. Essayez ▒▒apt --fix-broken install▒▒ sans paquet
(ou indiquez une solution).
pi@raspberrydomoticz:sudo systemctl restart domoticz.service

Keros
Messages : 3782
Enregistré le : 23 juil. 2019, 20:57

Re: Librairie Python ne se charge pas

Message par Keros »

Je viens de créer un nouveau sujet.

Je vois que tu es sous Raspberry, mais peux-tu nous indiquer quelle est la version de ton OS ?

Tu es sur une installation neuve ? Tu as d'autres plugins qui tournent ?

benoit fardeau
Messages : 6
Enregistré le : 29 sept. 2022, 19:15

Re: Librairie Python ne se charge pas

Message par benoit fardeau »

Bonjour et merci
l'OS est le dernier, je pense. J'ai fait la mise à jour.
Version neuve, non pas vraiment. Ce Rpi fonctionne depuis plusieurs années sous domoticz sans problème.
Et a priori sans plugin ou alors à mon insu ...
l'installation de libpython3.7-dev ne s'est pas bien passée ; cf mon message
que faut il en penser ?

Répondre